package com.steerinfo.ems.trmtagtype.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TRmTagtype implements IBasePO<String> {
    /**
     * 代码(ID,VARCHAR,40)
     */
    @ApiModelProperty(value="代码",required=false)
    private String id;

    /**
     * 名称(NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="名称",required=true)
    private String name;

    /**
     * 启用(USEFLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="启用",required=true)
    private String useflag;

    /**
     * 备用代码(BCODE,VARCHAR,40)
     */
    @ApiModelProperty(value="备用代码",required=true)
    private String bcode;

    /**
     * 备用描述1(BDESC1,VARCHAR,60)
     */
    @ApiModelProperty(value="备用描述1",required=true)
    private String bdesc1;

    /**
     * 备用描述2(BDESC2,VARCHAR,100)
     */
    @ApiModelProperty(value="备用描述2",required=true)
    private String bdesc2;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.id;
    }

    @Override
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getUseflag() {
        return useflag;
    }

    public void setUseflag(String useflag) {
        this.useflag = useflag == null ? null : useflag.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getBdesc1() {
        return bdesc1;
    }

    public void setBdesc1(String bdesc1) {
        this.bdesc1 = bdesc1 == null ? null : bdesc1.trim();
    }

    public String getBdesc2() {
        return bdesc2;
    }

    public void setBdesc2(String bdesc2) {
        this.bdesc2 = bdesc2 == null ? null : bdesc2.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", useflag=").append(useflag);
        sb.append(", bcode=").append(bcode);
        sb.append(", bdesc1=").append(bdesc1);
        sb.append(", bdesc2=").append(bdesc2);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}